filebeat.inputs:
- type: log
  enabled: true
  paths:
    - /var/log/opengnsys.log

setup.template.settings:
  index.number_of_shards: 1

output.elasticsearch:
  hosts: ["oglog-os.mytld:9200"]
  pipeline: "copy-message-pipeline"
  username: "admin"
  password: "CorrectHorse_BatteryStaple1"
  protocol: "https"
  ssl.enabled: true
  ssl.verification_mode: full
  ssl.certificate: "/etc/filebeat/ogagent-fb.mytld.crt.pem"
  ssl.key: "/etc/filebeat/ogagent-fb.mytld.key.pem"

processors:
  - add_host_metadata:
      when.not.contains.tags: forwarded
  - add_cloud_metadata: ~
  - add_docker_metadata: ~
  - add_kubernetes_metadata: ~

seccomp.enabled: false
